Package com.pixelmed.ftp

# Class FTPSecurityType

java.lang.Object
com.pixelmed.ftp.FTPSecurityType

public class FTPSecurityType extends Object

This class provides a description of the parameters of a remote FTP host.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FTPSecurityType`
`NONE`
`static final FTPSecurityType`
`TLS`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`static String[]`
`getListOfTypesAsString()`
`static FTPSecurityType`
`selectFromDescription(String description)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NONE

public static final FTPSecurityType NONE

### TLS

public static final FTPSecurityType TLS

## Method Details

### getListOfTypesAsString

public static String[] getListOfTypesAsString()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### selectFromDescription

public static FTPSecurityType selectFromDescription(String description)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`